<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2019 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->
<!-- System packages to preinstall on all devices with frameworks-base-overlays, per user type.
     Documentation at frameworks/base/data/etc/preinstalled-packages-platform.xml
-->
<config>
    <install-in-user-type package="com.android.internal.display.cutout.emulation.corner">
        <install-in user-type="FULL" />
    </install-in-user-type>
    <install-in-user-type package="com.android.internal.display.cutout.emulation.double">
        <install-in user-type="FULL" />
    </install-in-user-type>
    <install-in-user-type package="com.android.internal.display.cutout.emulation.hole">
        <install-in user-type="FULL" />
    </install-in-user-type>
    <install-in-user-type package="com.android.internal.display.cutout.emulation.tall">
        <install-in user-type="FULL" />
    </install-in-user-type>
    <install-in-user-type package="com.android.internal.display.cutout.emulation.waterfall">
        <install-in user-type="FULL" />
    </install-in-user-type>
    <install-in-user-type package="com.android.internal.systemui.navbar.gestural">
        <install-in user-type="FULL" />
    </install-in-user-type>
    <install-in-user-type package="com.android.internal.systemui.navbar.gestural_extra_wide_back">
        <install-in user-type="FULL" />
    </install-in-user-type>
    <install-in-user-type package="com.android.internal.systemui.navbar.gestural_narrow_back">
        <install-in user-type="FULL" />
    </install-in-user-type>
    <install-in-user-type package="com.android.internal.systemui.navbar.gestural_wide_back">
        <install-in user-type="FULL" />
    </install-in-user-type>
    <install-in-user-type package="com.android.internal.systemui.navbar.threebutton">
        <install-in user-type="FULL" />
    </install-in-user-type>
    <install-in-user-type package="com.android.internal.systemui.navbar.twobutton">
        <install-in user-type="FULL" />
    </install-in-user-type>
    <install-in-user-type package="com.android.internal.systemui.onehanded.gestural">
        <install-in user-type="FULL" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.color.amethyst">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.color.aquamarine">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.color.black">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.color.carbon">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.color.cinnamon">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.color.green">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.color.ocean">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.color.orchid">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.color.palette">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.color.purple">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.color.sand">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.color.space">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.color.tangerine">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.font.notoserifsource">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.circular.android">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.circular.launcher">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.circular.settings">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.circular.systemui">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.circular.themepicker">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.filled.android">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.filled.launcher">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.filled.settings">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.filled.systemui">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.filled.themepicker">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.kai.android">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.kai.launcher">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.kai.settings">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.kai.systemui">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.kai.themepicker">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.rounded.android">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.rounded.launcher">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.rounded.settings">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.rounded.systemui">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.rounded.themepicker">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.sam.android">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.sam.launcher">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.sam.settings">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.sam.systemui">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.sam.themepicker">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.victor.android">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.victor.launcher">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.victor.settings">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.victor.systemui">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon_pack.victor.themepicker">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon.pebble">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon.roundedrect">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon.squircle">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon.taperedrect">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon.teardrop">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>
    <install-in-user-type package="com.android.theme.icon.vessel">
        <install-in user-type="FULL" />
        <install-in user-type="PROFILE" />
    </install-in-user-type>

    <!-- OS: add for OSBLSREL-10995 20220727 start-->
    <install-in-user-type package="com.transsion.dualapp">
        <install-in user-type="SYSTEM" />
    </install-in-user-type>
    <install-in-user-type package="com.transsion.repaircard">
        <install-in user-type="SYSTEM" />
    </install-in-user-type>
    <!-- OS: add for OSBLSREL-10995 20220727 end-->
    <!-- SDD: add by chengwenli for TESSCR-13275 start-->
    <install-in-user-type package="com.transsion.hiparty">
        <install-in user-type="SYSTEM" />
    </install-in-user-type>
    <!-- SDD: add by chengwenli for TESSCR-13275 end-->
    <!-- OS: add for multi-users by ming.ren 20221107 start -->
    <install-in-user-type package="com.transsion.letswitch">
        <install-in user-type="SYSTEM" />
    </install-in-user-type>
    <install-in-user-type package="com.transsion.smartpanel">
        <install-in user-type="SYSTEM" />
    </install-in-user-type>
    <install-in-user-type package="com.infinix.xshare">
        <install-in user-type="SYSTEM" />
        <install-in user-type="android.os.usertype.full.SECONDARY" />
    </install-in-user-type>
    <install-in-user-type package="com.talpa.share">
        <install-in user-type="SYSTEM" />
        <install-in user-type="android.os.usertype.full.SECONDARY" />
    </install-in-user-type>
    <!-- OS: add for multi-users by ming.ren 20221107 end -->
    <!-- OS: add for multi-users #OSYWTREL-6572 by ming.ren 20221116 start -->
    <install-in-user-type package="com.transsion.healthlife">
        <install-in user-type="SYSTEM" />
    </install-in-user-type>
    <!-- OS: add for multi-users #OSYWTREL-6572 by ming.ren 20221116 end -->
    <!-- OS: add for multi-users #OSTREL-5889 by ming.ren 20221212 start -->
    <install-in-user-type package="com.transsion.tips">
        <install-in user-type="SYSTEM" />
    </install-in-user-type>
    <!-- OS: add for multi-users #OSTREL-5889 by ming.ren 20221212 end -->
</config>
